Subject: bug#1063 closed by Glenn Morris <[email-masked]> (Re: Bug#1063: improvement of elint.el)

From: [email-masked] (Emacs bug Tracking System)
Date: Sat, 14 Nov 2009 20:10:05 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1063: improvement of elint.el

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
1063: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1063
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Bug#1063: improvement of elint.el
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sat, 14 Nov 2009 15:00:24 -0500

I'm sorry for overlooking this report for so long. I have applied the
pieces that are still relevant to Emacs CVS trunk.
>From [email-masked] Wed Oct  1 07:41:14 2008
Date: Wed, 1 Oct 2008 23:41:05 +0900
From: "Shigeru Fukaya" <[email-masked]>
To: [email-masked]
Subject: improvement of elint.el

------=_Part_13992_11576733.1222872065663
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Hello,

I changed elint.el to work better in the latest Emacs.

Revised features are,

 * Regard more variables as defined.

   - Variables defined in C source without help string.
     (by preset in elint-standard-variables)

   - Variables having entries in DOC file.

   - Variables defined in some file, but unbound.

 * Get builtin function arguments properly.
   (adapt to current (fn ARG1 ARG2...) document form)

Regards,
Shigeru

------=_Part_13992_11576733.1222872065663
Content-Type: text/plain; name=elint.diff
Content-Transfer-Encoding: base64
X-Attachment-Id: f_fls2cf9x0
Content-Disposition: attachment; filename=elint.diff

------=_Part_13992_11576733.1222872065663
Content-Type: text/plain; name=ChangeLog.elint
Content-Transfer-Encoding: base64
X-Attachment-Id: f_fls2dety1
Content-Disposition: attachment; filename=ChangeLog.elint

CSogZWxpbnQtbmV3LmVsIChlbGludC1zdGFuZGFyZC12YXJpYWJsZXMpOiBBZGQgc3ltYm9scyB0
aGF0IGFyZQ0KCWJvdW5kLCBkZWZpbmVkIGluIHNvbWUgQyBzb3VyY2UsIGFuZCBoYXZlIG5vIGhl
bHAuDQoJKGVsaW50LXVuYm91bmQtdmFyaWFibGUpOiBDaGVjayBpZiBzeW1ib2wgaGFzIGRvY3Vt
ZW50IGluIERPQywgb3INCglkZWZpbmVkIG9yIGxvYWRlZCBpbiBzb21lIGZpbGUuDQoJKGVsaW50
LWluaXRpYWxpemUpOiBtYXBjYXIgdG8gbWFwYy4NCgkoZWxpbnQtZmluZC1idWlsdGluLWFyZ3Mp
OiBBZGFwdCB0byB0aGUgY3VycmVudCBmdW5jdGlvbiBkb2N1bWVudA0KCXN0eWxlIGAoZm4gQVJH
Uy4uLiknLg0K
------=_Part_13992_11576733.1222872065663--